@use '../../../../queries' as queries;

#sidenav-toggle {
  margin-top: 3px;
}

a {
  text-decoration: none;
}

.grow {
  display: flex;
  flex-grow: 10;
}

.start {
  display: flex;
  justify-content: flex-start;
}

.end {
  display: flex;
  justify-content: flex-end;
}

#navbar {
  z-index: 15;
  font-size: 0.9em;
  color: #333;
  font-weight: normal;
  height: 67px;
  background-color: rgba(255, 255, 255, 1);
  border-bottom: 3px solid #eee;
  padding: 0 2rem;

  mat-toolbar {
    border-radius: 0;
  }

  display: flex;
  align-items: stretch;

  @include queries.small {
    align-items: center;
  }

  > * + * {
    margin-left: 2rem;
  }
}

.nav-group {
  display: flex;
  height: 100%;

  .navbar-link {
    display: flex;
    align-items: center;
    color: #555;
    cursor: pointer;
    padding: 0 0.5rem;
    line-height: 2;

    position: relative;
    &:after {
      position: absolute;
      content: '';
      left: 0;
      bottom: 0;
      height: 100%;
      width: 100%;
      border-bottom: solid 0.2rem #00afe7;
      transform: scaleX(0) translateY(0.2rem);
      transition: transform 250ms ease-in-out;
    }

    &:hover:after,
    &.active:after {
      transform: scaleX(1) translateY(0.2rem);
    }

    & + .navbar-link {
      margin-left: 0.5rem;
    }
  }
}

@media (max-width: 959px) {
  mat-toolbar {
    border-radius: 0;
  }
}

#logo-link {
  display: flex;
  justify-content: center;
  align-items: center;

  #applogo {
    height: 3rem;
  }
}

#progress-bar {
  // transition: opacity 280ms;
  position: fixed;
  z-index: 19;
  pointer-events: none;
  left: 0;
  top: 0;
  opacity: 0;
  &.loading {
    opacity: 1;
  }
}

button {
  font-size: 12px;
  margin-top: 12.5px;
  margin-right: 15px;
  border-radius: 25px;
}

.history-button {
  display: flex;
  flex-direction: row;
  align-items: center;

  p {
    margin: 0;
    overflow: hidden;
    text-overflow: ellipsis;
  }
}

$mobile-breakpoint: 600px;

.desktop {
  @media (max-width: $mobile-breakpoint) {
    display: none;
  }
}

.mobile {
  @media (min-width: $mobile-breakpoint) {
    display: none;
  }
}
